const MongoClient = require("mongodb").MongoClient;

async function GetIssuerAndAssetCode(collectionName, publicKey) {
  const uri = process.env.DATABASE_URL;
  const client = new MongoClient(uri, {
    useNewUrlParser: true,
    useUnifiedTopology: true,
  });

  try {
    await client.connect();

    const collection = client.db().collection(collectionName);
    const result = await collection.findOne({ publickey: publicKey });

    if (!result) {
      throw new Error("No record found for the provided public key");
    }

    return {
      issuerKey: result.issuerpk,
      assetCode: result.keysequence,
    };
  } finally {
    await client.close();
  }
}
module.exports = GetIssuerAndAssetCode;
